/*** ChkTest.c ****************************************/
/*                                                    */
/* K. P. 29. Mai 2004                                 */
/* -------------------------------------------------- */
/* Test PIDcheck.                                     */
/* Call PIDcheck on argument.                         */
/* Output: Whether argument is a valid PID or most    */
/*   probable correction.                             */
/* -------------------------------------------------- */

#include <stdio.h>
#include "PIDgen.h"

int main(int argc, char *argv[])
{
  char *PID;
  char corr;
  int pos;

  if (!(PID = argv[1])) {
    printf("PID missing\n");
    return;
    }
  pos = PIDcheck(PID, &corr);
  if (pos < 0) printf("valid PID\n");
  else if (pos == 0) printf("terribly invalid PID.\n");
  else if (pos >= 9)
    printf("%d -th and %d -th characters should probably be interchanged\n", pos-8, pos-7);
  else printf("invalid PID, %d -th character should probably be %c\n", pos, corr);
}
