/*** genTest.c ****************************************/
/*                                                    */
/* K. P. 29. Mai 2004                                 */
/* -------------------------------------------------- */
/* Test PIDgen.                                       */
/*                                                    */
/* To be called as                                    */
/*    genTest first last                              */
/* where first and last are unsigned 30-bit integers. */
/* Output: A list of PIDs.                            */
/* -------------------------------------------------- */
/* Read encryption keys from file PIDkeys.txt         */
/*   PIDkeys.txt must have the following Format:      */
/*     1. line = key 1 as unsigned 30-bit integer     */
/*     2. line = key 2 as unsigned 30-bit integer     */
/*     3. line = key 3 as unsigned 30-bit integer     */
/*     4. line = rndwidth as integer between 0 and 12 */
/* and call PIDgen for parameters first to last.      */
/* -------------------------------------------------- */
/* Note: If rndwidth > 0, then the PIDs are           */
/*   randomized and therefore take distinct values    */
/*   with each invocation of PIDgen.                  */
/* -------------------------------------------------- */

#include <stdio.h>
#include "PIDgen.h"

int main(int argc, char *argv[])
{
  FILE *keyfile;
  UINT30 first, last, i;
  char *PID;

  first = atoi(argv[1]);
  last = atoi(argv[2]);

  keyfile = fopen("PIDkeys.txt", "r");
  fscanf(keyfile, "%d", &k1);
  fscanf(keyfile, "%d", &k2);
  fscanf(keyfile, "%d", &k3);
  fscanf(keyfile, "%d", &rndwidth);
  fclose(keyfile);
  printf("key1 = %10d\n", k1);
  printf("key2 = %10d\n", k2);
  printf("key3 = %10d\n", k3);
  printf("rndwidth = %3d\n", rndwidth);

  for (i=first; i <= last; i++) {
    printf("%10d-th PID = ", i);
    PID = PIDgen(i);
    printf("%s\n", PID);
    }
  return 1;
}
